<?php

declare(strict_types=1);

namespace Drupal\date_point\Plugin\Validation\Constraint\Date;

use Symfony\Component\Validator\Constraint;

/**
 * Provides a constraint for date strings.
 *
 * @Constraint(
 *   id = "Date",
 *   label = @Translation("Date", context = "Validation"),
 * )
 */
final class DateConstraint extends Constraint {

  /**
   * {@selfdoc}
   */
  public string $message = 'This value is not a valid date.';

}
