<?php

declare(strict_types=1);

namespace Drupal\date_point;

use Psr\Clock\ClockInterface;

/**
 * Provides access to request clock service.
 */
trait RequestClockTrait {

  /**
   * {@selfdoc}
   */
  public static function getClock(): ClockInterface {
    return \Drupal::service('date_point.request_clock');
  }

}
