<?php

declare(strict_types=1);

namespace Drupal\date_point;

use DateTimeImmutable as DTI;
use Psr\Clock\ClockInterface;

/**
 * A service for obtaining system time.
 */
final readonly class Clock implements ClockInterface {

  /**
   * {@selfdoc}
   */
  public function now(): DTI {
    return new DTI();
  }

}
